@echo off

if not exist "..\FFXII_TZA.vbf" (
  SET ERR_MSG=Nie znaleziono "FFXII_TZA.vbf" w katalogu gry
  goto ERR_ALL
)

if not exist "..\FileSizeTables\FileSizeTable_US.fst" (
  SET ERR_MSG=Nie znaleziono "FileSizeTable_US.fst" w katalogu FileSizeTables
  goto ERR_ALL
)

if not exist "bin\ff12-vbf.exe" (
  SET ERR_MSG=Nie znaleziono patchera w katalogu "bin"
  goto ERR_ALL
)

if not exist "bin\ff12-size.exe" (
  SET ERR_MSG=Nie znaleziono patchera do tablicy w katalogu "bin"
  goto ERR_ALL
)

if not exist "bin\sizeOffsets.txt" (
  SET ERR_MSG=Nie znaleziono offsetow w katalogu "bin"
  goto ERR_ALL
)

echo.
echo Uruchamianie patchowania...
echo.
bin\ff12-vbf.exe -r "backup" "..\FFXII_TZA.vbf"

if ERRORLEVEL 1 (
  SET ERR_MSG=Patcher zwrocil blad podczas proby nalozenia latki
  goto ERR_ALL
)

echo.
echo Patchowanie tablicy rozmiarow...
echo.
bin\ff12-size ..\FileSizeTables\FileSizeTable_US.fst bin\sizeOffsets.txt backup

if ERRORLEVEL 1 (
  SET ERR_MSG=Patchowanie tablicy rozmiarow nie powiodlo sie. Gra nie bedzie dzialac.
  goto ERR_ALL
)


echo.
echo.
echo.
echo Chyba wszystko poszlo zgodnie z planem. Spolszczenie odinstalowane.

pause
exit

:ERR_ALL
cls
echo %ERR_MSG%
echo.
echo Sprawdz, czy wszystkie pliki znajduja sie na swoich miejscach.
pause
